Getting information about cross-chain transfer
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
Request body for getting cross-chain transfer data
idstringRequiredExample:
Cross-chain transfer ID
f2ed3567-8526-4b5a-a6c7-160b235cdc70Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/bridge/get
POST /api-gateway/bridge/get HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"id": "f2ed3567-8526-4b5a-a6c7-160b235cdc70"
}200Success
{
"success": true,
"response": {
"id": "f2ed3567-8526-4b5a-a6c7-160b235cdc70",
"clientId": "merchant_unique_id",
"currency": "USDT",
"networkFrom": "ethereum",
"networkTo": "tron",
"status": "PENDING",
"rejectMessage": null,
"amount": "200",
"amountUSD": "200",
"blockchainFee": "2",
"blockchainFeeUSD": "2.12",
"serviceFeeUSD": "0.50",
"webhookUrl": "https://merchant.domain/webhooks/bridge",
"createdAt": "2026-01-29T11:14:13.706Z"
}
}Last updated